<?php


namespace Tests\Inventory\Services\InventoryAccountService;


use App\Services\InventoryAccountService;
use Tests\TestCase;

class InventoryServiceConditionSearchTest extends TestCase
{
    public $data;
    public $ownerId=null;
    function testConditionSearchFail(){
        $inventoryService=new InventoryAccountService();
        $this->data=$inventoryService->conditionPortStock('','',$this->ownerId,'','');
        $this->assertNull($this->data);
    }
    function testConditionSearchCanSearchData(){
        $inventoryService=new InventoryAccountService();
        $this->ownerId=3;
        $this->data=$inventoryService->conditionPortStock('2020-08-19','2020-08-19',$this->ownerId,'','');
        $this->assertNotNull($this->data);
    }

}

